Index: branches/new_class_id/src/util/kill_target.cc
===================================================================
--- branches/new_class_id/src/util/kill_target.cc	(revision 9715)
+++ branches/new_class_id/src/util/kill_target.cc	(revision 9716)
@@ -22,5 +22,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(KillTarget, CL_KILL_TARGET);
 CREATE_FACTORY(KillTarget);
Index: branches/new_class_id/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- branches/new_class_id/src/util/multiplayer_team_deathmatch.cc	(revision 9715)
+++ branches/new_class_id/src/util/multiplayer_team_deathmatch.cc	(revision 9716)
@@ -48,5 +48,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(MultiplayerTeamDeathmatch, CL_MULTIPLAYER_TEAM_DEATHMATCH);
Index: branches/new_class_id/src/util/singleplayer_shootemup.cc
===================================================================
--- branches/new_class_id/src/util/singleplayer_shootemup.cc	(revision 9715)
+++ branches/new_class_id/src/util/singleplayer_shootemup.cc	(revision 9716)
@@ -25,5 +25,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(SingleplayerShootemup, CL_SINGLEPLAYER_SHOOTEMUP);
 CREATE_FACTORY(SingleplayerShootemup);
Index: branches/new_class_id/src/world_entities/bsp_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/bsp_entity.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/bsp_entity.cc	(revision 9716)
@@ -18,5 +18,5 @@
 #include "util/loading/resource_manager.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(BspEntity, CL_BSP_ENTITY);
 CREATE_FACTORY(BspEntity);
Index: branches/new_class_id/src/world_entities/creatures/fps_player.cc
===================================================================
--- branches/new_class_id/src/world_entities/creatures/fps_player.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/creatures/fps_player.cc	(revision 9716)
@@ -41,5 +41,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(FPSPlayer, CL_FPS_PLAYER);
 CREATE_FACTORY(FPSPlayer);
Index: branches/new_class_id/src/world_entities/creatures/md2_creature.cc
===================================================================
--- branches/new_class_id/src/world_entities/creatures/md2_creature.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/creatures/md2_creature.cc	(revision 9716)
@@ -37,5 +37,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(MD2Creature, CL_MD2_CREATURE);
 CREATE_FACTORY(MD2Creature);
Index: branches/new_class_id/src/world_entities/effects/billboard.cc
===================================================================
--- branches/new_class_id/src/world_entities/effects/billboard.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/effects/billboard.cc	(revision 9716)
@@ -26,5 +26,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Billboard, CL_BILLBOARD);
 CREATE_FACTORY(Billboard);
Index: branches/new_class_id/src/world_entities/effects/explosion.cc
===================================================================
--- branches/new_class_id/src/world_entities/effects/explosion.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/effects/explosion.cc	(revision 9716)
@@ -27,5 +27,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Explosion, CL_EXPLOSION);
 CREATE_FAST_FACTORY_STATIC(Explosion);
Index: branches/new_class_id/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- branches/new_class_id/src/world_entities/effects/lightning_bolt.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/effects/lightning_bolt.cc	(revision 9716)
@@ -25,5 +25,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(LightningBolt, CL_LIGHTNING_BOLT);
 CREATE_FACTORY(LightningBolt);
Index: branches/new_class_id/src/world_entities/elements/image_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/elements/image_entity.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/elements/image_entity.cc	(revision 9716)
@@ -30,5 +30,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(ImageEntity, CL_IMAGE_ENTITY);
 CREATE_FACTORY(ImageEntity);
Index: branches/new_class_id/src/world_entities/elements/text_element.cc
===================================================================
--- branches/new_class_id/src/world_entities/elements/text_element.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/elements/text_element.cc	(revision 9716)
@@ -27,5 +27,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TextElement, CL_TEXT_ELEMENT);
 CREATE_FACTORY(TextElement);
Index: branches/new_class_id/src/world_entities/environment.cc
===================================================================
--- branches/new_class_id/src/world_entities/environment.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/environment.cc	(revision 9716)
@@ -26,5 +26,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Environment, CL_ENVIRONMENT);
 CREATE_FACTORY(Environment);
Index: branches/new_class_id/src/world_entities/environments/building.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/building.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/environments/building.cc	(revision 9716)
@@ -23,5 +23,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Building, CL_BUILDING);
 CREATE_FACTORY(Building);
Index: branches/new_class_id/src/world_entities/environments/mapped_water.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9716)
@@ -25,5 +25,5 @@
 #include "script_class.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(MappedWater, CL_MAPPED_WATER);
 CREATE_FACTORY(MappedWater);
Index: branches/new_class_id/src/world_entities/environments/model_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/model_entity.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/environments/model_entity.cc	(revision 9716)
@@ -23,5 +23,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(ModelEntity, CL_MODEL_ENTITY);
 CREATE_FACTORY(ModelEntity);
Index: branches/new_class_id/src/world_entities/environments/water.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/water.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/environments/water.cc	(revision 9716)
@@ -33,5 +33,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Water, CL_WATER);
 CREATE_FACTORY(Water);
Index: branches/new_class_id/src/world_entities/movie_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/movie_entity.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/movie_entity.cc	(revision 9716)
@@ -21,5 +21,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(MovieEntity, CL_MOVIE_ENTITY);
 CREATE_FACTORY(MovieEntity);
Index: branches/new_class_id/src/world_entities/npcs/attractor_mine.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9716)
@@ -33,5 +33,5 @@
 #include "effects/explosion.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(AttractorMine, CL_ATTRACTOR_MINE);
 CREATE_FACTORY(AttractorMine);
Index: branches/new_class_id/src/world_entities/npcs/door.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/door.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/door.cc	(revision 9716)
@@ -26,5 +26,5 @@
 #include "door.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Door, CL_DOOR);
 CREATE_FACTORY(Door);
Index: branches/new_class_id/src/world_entities/npcs/gate.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9716)
@@ -31,5 +31,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Gate, CL_GATE);
 CREATE_FACTORY(Gate);
Index: branches/new_class_id/src/world_entities/npcs/generic_npc.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9716)
@@ -32,5 +32,5 @@
 #include "bsp_entity.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(GenericNPC, CL_GENERIC_NPC);
 CREATE_FACTORY(GenericNPC);
Index: branches/new_class_id/src/world_entities/npcs/ground_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/ground_turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/ground_turret.cc	(revision 9716)
@@ -29,5 +29,5 @@
 #include "effects/explosion.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(GroundTurret, CL_GROUND_TURRET);
Index: branches/new_class_id/src/world_entities/npcs/network_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/network_turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/network_turret.cc	(revision 9716)
@@ -31,5 +31,5 @@
 #include "weapons/aiming_turret.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(NetworkTurret, CL_NETWORK_TURRET);
 CREATE_FACTORY(NetworkTurret);
Index: branches/new_class_id/src/world_entities/npcs/npc_test.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc_test.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/npc_test.cc	(revision 9716)
@@ -30,5 +30,5 @@
 #include "effects/explosion.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(NPC2, CL_NPC_TEST2);
 CREATE_FACTORY(NPC2);
Index: branches/new_class_id/src/world_entities/npcs/repair_station.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/repair_station.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/repair_station.cc	(revision 9716)
@@ -26,5 +26,5 @@
 #include "repair_station.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(RepairStation, CL_DOOR +1 );
 CREATE_FACTORY(RepairStation);
Index: branches/new_class_id/src/world_entities/npcs/space_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/space_turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/npcs/space_turret.cc	(revision 9716)
@@ -29,5 +29,5 @@
 #include "effects/explosion.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(SpaceTurret, CL_SPACE_TURRET);
 CREATE_FACTORY(SpaceTurret);
Index: branches/new_class_id/src/world_entities/planet.cc
===================================================================
--- branches/new_class_id/src/world_entities/planet.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/planet.cc	(revision 9716)
@@ -32,5 +32,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Planet, CL_PLANET);
 CREATE_FACTORY(Planet);
Index: branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc	(revision 9716)
@@ -24,5 +24,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(LaserPowerUp, CL_LASER_POWER_UP);
 CREATE_FACTORY(LaserPowerUp);
Index: branches/new_class_id/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/param_power_up.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/power_ups/param_power_up.cc	(revision 9716)
@@ -27,5 +27,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(ParamPowerUp, CL_PARAM_POWER_UP);
 CREATE_FACTORY(ParamPowerUp);
Index: branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc	(revision 9716)
@@ -24,5 +24,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TurretPowerUp, CL_TURRET_POWER_UP);
 CREATE_FACTORY(TurretPowerUp);
Index: branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc	(revision 9716)
@@ -27,5 +27,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(WeaponPowerUp, CL_WEAPON_POWER_UP);
 CREATE_FACTORY(WeaponPowerUp);
Index: branches/new_class_id/src/world_entities/projectiles/bomb.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/bomb.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/bomb.cc	(revision 9716)
@@ -25,5 +25,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Bomb, CL_BOMB);
 CREATE_FAST_FACTORY_STATIC(Bomb);
Index: branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9716)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(BoomerangProjectile, CL_BOOMERANG_PROJECTILE);
 CREATE_FAST_FACTORY_STATIC(BoomerangProjectile);
Index: branches/new_class_id/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/guided_missile.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/guided_missile.cc	(revision 9716)
@@ -25,5 +25,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(GuidedMissile, CL_GUIDED_MISSILE);
 CREATE_FAST_FACTORY_STATIC(GuidedMissile);
Index: branches/new_class_id/src/world_entities/projectiles/hyperblast.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/hyperblast.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/hyperblast.cc	(revision 9716)
@@ -25,5 +25,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Hyperblast, CL_HYPERBLAST);
 CREATE_FAST_FACTORY_STATIC(Hyperblast);
Index: branches/new_class_id/src/world_entities/projectiles/laser.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/laser.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/laser.cc	(revision 9716)
@@ -28,5 +28,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinition(Laser);
 CREATE_FAST_FACTORY_STATIC(Laser);
Index: branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc	(revision 9716)
@@ -28,5 +28,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(RailProjectile, CL_RAIL_PROJECTILE);
 CREATE_FAST_FACTORY_STATIC(RailProjectile);
Index: branches/new_class_id/src/world_entities/projectiles/rocket.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rocket.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/rocket.cc	(revision 9716)
@@ -25,5 +25,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Rocket, CL_ROCKET);
 CREATE_FAST_FACTORY_STATIC(Rocket);
Index: branches/new_class_id/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/test_bullet.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/projectiles/test_bullet.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TestBullet, CL_TEST_BULLET);
 CREATE_FAST_FACTORY_STATIC(TestBullet);
Index: branches/new_class_id/src/world_entities/recorder.cc
===================================================================
--- branches/new_class_id/src/world_entities/recorder.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/recorder.cc	(revision 9716)
@@ -22,5 +22,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Recorder, CL_RECORDER);
 CREATE_FACTORY(Recorder);
Index: branches/new_class_id/src/world_entities/skybox.cc
===================================================================
--- branches/new_class_id/src/world_entities/skybox.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/skybox.cc	(revision 9716)
@@ -31,5 +31,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(SkyBox, CL_SKYBOX);
 CREATE_FACTORY(SkyBox);
Index: branches/new_class_id/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/collision_probe.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/collision_probe.cc	(revision 9716)
@@ -24,5 +24,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(CollisionProbe, CL_COLLISION_PROBE);
 
Index: branches/new_class_id/src/world_entities/space_ships/cruizer.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/cruizer.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/cruizer.cc	(revision 9716)
@@ -34,5 +34,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Cruizer, CL_CRUIZER);
 CREATE_FACTORY(Cruizer);
Index: branches/new_class_id/src/world_entities/space_ships/helicopter.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9716)
@@ -34,5 +34,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Helicopter, CL_HELICOPTER);
 CREATE_FACTORY(Helicopter);
Index: branches/new_class_id/src/world_entities/space_ships/hover.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9716)
@@ -34,5 +34,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Hover, CL_HOVER);
 CREATE_FACTORY(Hover);
Index: branches/new_class_id/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9716)
@@ -53,5 +53,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(SpaceShip, CL_SPACE_SHIP);
 CREATE_FACTORY(SpaceShip);
Index: branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9716)
@@ -38,5 +38,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Spacecraft2D, CL_SPACECRAFT_2D);
 CREATE_FACTORY(Spacecraft2D);
Index: branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc	(revision 9716)
@@ -34,5 +34,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TurbineHover, CL_TURBINE_HOVER);
 CREATE_FACTORY(TurbineHover);
Index: branches/new_class_id/src/world_entities/spawning_point.cc
===================================================================
--- branches/new_class_id/src/world_entities/spawning_point.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/spawning_point.cc	(revision 9716)
@@ -33,5 +33,5 @@
 #include "converter.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(SpawningPoint, CL_SPAWNING_POINT);
 CREATE_FACTORY( SpawningPoint);
Index: branches/new_class_id/src/world_entities/spectator.cc
===================================================================
--- branches/new_class_id/src/world_entities/spectator.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/spectator.cc	(revision 9716)
@@ -22,5 +22,5 @@
 #include "shared_network_data.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Spectator, CL_SPECTATOR);
 CREATE_FACTORY(Spectator);
Index: branches/new_class_id/src/world_entities/terrain.cc
===================================================================
--- branches/new_class_id/src/world_entities/terrain.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/terrain.cc	(revision 9716)
@@ -34,5 +34,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Terrain, CL_TERRAIN);
 CREATE_FACTORY(Terrain);
Index: branches/new_class_id/src/world_entities/test_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/test_entity.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/test_entity.cc	(revision 9716)
@@ -35,5 +35,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinition(TestEntity);
 CREATE_FACTORY(TestEntity);
Index: branches/new_class_id/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9716)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
 CREATE_FACTORY(AimingTurret);
Index: branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9716)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
 CREATE_FACTORY(BoomerangGun);
Index: branches/new_class_id/src/world_entities/weapons/cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9716)
@@ -36,5 +36,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Cannon, CL_CANNON);
 CREATE_FACTORY(Cannon);
Index: branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9716)
@@ -39,5 +39,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
 CREATE_FACTORY(FPSSniperRifle);
Index: branches/new_class_id/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9716)
@@ -35,5 +35,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
 CREATE_FACTORY(Hyperblaster);
Index: branches/new_class_id/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9716)
@@ -31,5 +31,5 @@
 #include "loading/fast_factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
 CREATE_FACTORY(LaserCannon);
Index: branches/new_class_id/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9716)
@@ -26,5 +26,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
 CREATE_FACTORY(TargetingTurret);
Index: branches/new_class_id/src/world_entities/weapons/test_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9716)
@@ -33,5 +33,5 @@
 #include "loading/fast_factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(TestGun, CL_TEST_GUN);
 CREATE_FACTORY(TestGun);
Index: branches/new_class_id/src/world_entities/weapons/turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9715)
+++ branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9716)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Turret, CL_TURRET);
 CREATE_FACTORY(Turret);
